Package org.kapott.hbci.dialog

## Class AbstractRawHBCIDialogInit

- java.lang.Object
- - org.kapott.hbci.dialog.AbstractRawHBCIDialog
  - - org.kapott.hbci.dialog.AbstractRawHBCIDialogInit

All Implemented Interfaces:
  `RawHBCIDialog`

Direct Known Subclasses:
  `HBCIDialogFirstKeyRequest`, `HBCIDialogInit`, `HBCIDialogSync`

    public abstract class AbstractRawHBCIDialogInit
    extends AbstractRawHBCIDialog

Abstrakte Basis-Klasse fuer "rohe" HBCI-Init-Dialoge.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `applyData​(DialogContext ctx)` Befuellt die Daten fuer die Nachricht.

### Methods inherited from class org.kapott.hbci.dialog.AbstractRawHBCIDialog

`checkResult, createSCARequest, execute, getActualTemplate, getSegmentVersion, getTemplate, sendData, setTemplate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### applyData

    protected void applyData​(DialogContext ctx)

Description copied from class: `AbstractRawHBCIDialog`
Befuellt die Daten fuer die Nachricht.

Overrides:
  `applyData` in class `AbstractRawHBCIDialog`
Parameters:
  `ctx` - der Kontext.
See Also:
  `AbstractRawHBCIDialog.applyData(org.kapott.hbci.dialog.DialogContext)`